Subject: Re: [PATCH net-next 1/2] mlx4_en: Add PTP hardware clock

From: Richard Cochran <[email-masked]>
Date: Thu, 26 Dec 2013 10:17:41 +0100

On Thu, Dec 26, 2013 at 10:33:26AM +0200, Hadar Hen Zion wrote:
> 
> Is there a way to time stamping packets per socket?

No, it is at the device level. Some devices support time stamping
different types of packets, like PTP events.

I looked again at your driver, and now it makes sense to me that the
spin lock is so costly in your tests. Every received packet calls
timecounter_cyc2time.  So you will need locking, and I think
reader/writer is perfectly fine for you to use.

Thanks,
Richard